Package org.eclipse.birt.report.model.api.activity

# Class SemanticException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.eclipse.birt.core.exception.BirtException
org.eclipse.birt.report.model.api.ModelException
org.eclipse.birt.report.model.api.activity.SemanticException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ContentException`, `CssException`, `CustomMsgException`, `EncryptionException`, `ExtendedElementException`, `ExtendsException`, `LibraryException`, `NameException`, `PropertyNameException`, `PropertyValueException`, `SemanticError`, `StyleException`, `TemplateException`, `ThemeException`, `UserPropertyException`

public class SemanticException extends ModelException
Represents exceptions encountered during parsing the xml file, it will include a reference to the element which causes the error.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL`
The error code that indicates the element can not be exported to the library file, for it self or any of its contents has duplicate name with that in the library file and the element in the library can not be dropped.
`protected org.eclipse.birt.report.model.core.DesignElement`
`element`
The element with semantic error.

### Fields inherited from class org.eclipse.birt.report.model.api.ModelException

`PLUGIN_ID`

### Fields inherited from class org.eclipse.birt.core.exception.BirtException

`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SemanticException(String errCode)`
Constructor.
``
`SemanticException(String pluginId, String errorCode, Object[] args, Throwable cause)`
Constructs a new model exception.
``
`SemanticException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle)`
Constructs a new model exception.
``
`SemanticException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.
``
`SemanticException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle)`
Constructs a new model exception.
``
`SemanticException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.
``
`SemanticException(String pluginId, String errorCode, ResourceBundle bundle)`
Constructs a new model exception with no cause object.
``
`SemanticException(String pluginId, String errorCode, ResourceBundle bundle, Throwable cause)`
Constructs a new model exception.
``
`SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String errCode)`
Constructor.
``
`SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode)`
Constructor.
``
`SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode, Throwable cause)`
Constructor.
``
`SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String errCode, Throwable cause)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.report.model.core.DesignElement`
`getElement()`
Returns the element having semantic error.
`protected static String`
`getElementName(org.eclipse.birt.report.model.core.DesignElement element)`
Returns the element name if it exists.
`String`
`getLocalizedMessage()`
`String`
`getMessage()`

### Methods inherited from class org.eclipse.birt.core.exception.BirtException

`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL

public static final String DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL
The error code that indicates the element can not be exported to the library file, for it self or any of its contents has duplicate name with that in the library file and the element in the library can not be dropped.

See Also:
  - Constant Field Values

### element

protected org.eclipse.birt.report.model.core.DesignElement element
The element with semantic error.

## Constructor Details

### SemanticException

protected SemanticException(String errCode)
Constructor.

Parameters:
  `errCode` - the error code

### SemanticException

public SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String errCode)
Constructor.

Parameters:
  `element` - the element which has errors
  `errCode` - the error code

### SemanticException

public SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String errCode, Throwable cause)
Constructor.

Parameters:
  `element` - the element which has errors
  `errCode` - the error code
  `cause` - the nested exception

### SemanticException

public SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode)
Constructor.

Parameters:
  `element` - the element which has errors
  `values` - value array used for error message
  `errCode` - the error code

### SemanticException

public SemanticException(org.eclipse.birt.report.model.core.DesignElement element, String[] values, String errCode, Throwable cause)
Constructor.

Parameters:
  `element` - the element which has errors
  `values` - value array used for error message
  `errCode` - the error code
  `cause` - the nested exception

### SemanticException

public SemanticException(String pluginId, String errorCode, ResourceBundle bundle)
Constructs a new model exception with no cause object.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `bundle` - the resourceBundle used to translate the message.

### SemanticException

public SemanticException(String pluginId, String errorCode, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### SemanticException

public SemanticException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### SemanticException

public SemanticException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `arg0` - first argument used to format error messages
  `bundle` - the resourceBundle used to translate the message.
  `cause` - the nested exception

### SemanticException

public SemanticException(String pluginId, String errorCode, Object[] args, ResourceBundle bundle)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `bundle` - the resourceBundle used to translate the message.

### SemanticException

public SemanticException(String pluginId, String errorCode, Object arg0, ResourceBundle bundle)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `arg0` - first argument used to format error messages
  `bundle` - the resourceBundle used to translate the message.

### SemanticException

public SemanticException(String pluginId, String errorCode, Object[] args, Throwable cause)
Constructs a new model exception.

Parameters:
  `pluginId` - Returns the unique identifier of the plug-in associated with this exception
  `errorCode` - used to retrieve a piece of externalized message displayed to end user.
  `args` - string arguments used to format error messages
  `cause` - the nested exception

## Method Details

### getElement

public org.eclipse.birt.report.model.core.DesignElement getElement()
Returns the element having semantic error.

Returns:
  the element having semantic error

### getElementName

protected static String getElementName(org.eclipse.birt.report.model.core.DesignElement element)
Returns the element name if it exists.

Parameters:
  `element` - the design element
Returns:
  the element name if it exists. Otherwise, return empty string.

### getMessage

public String getMessage()

Overrides:
  `getMessage` in class `org.eclipse.birt.core.exception.BirtException`

### getLocalizedMessage

public String getLocalizedMessage()

Overrides:
  `getLocalizedMessage` in class `org.eclipse.birt.core.exception.BirtException`